declare namespace CLOUDNEW {
    interface CloudNewReactContent {
        treeData: DataNode[]
        setTreeData: React.Dispatch<React.SetStateAction<DataNode[]>>
        expandedKeys: React.Key[]
        setExpandedKeys: React.Dispatch<React.SetStateAction<React.Key[]>>
        queryFormFolder: CLOUDNEW.GetFolderListProps
        setQueryFormFolder: React.Dispatch<React.SetStateAction<CLOUDNEW.GetFolderListProps>>
        breadcrumdData: CLOUDNEW.BreadcrumdData[]
        setBreadcrumdData: React.Dispatch<React.SetStateAction<CLOUDNEW.BreadcrumdData[]>>
        loadedKeys: string[]
        setLoadedKeys: React.Dispatch<React.SetStateAction<string[]>>
        findParentKeys: (key: string, tree: DataNode[]) => void
    }
    interface BreadcrumdData {
        label: string
        key: number,
        currentKey: string
    }
    interface GetFolderListProps {
        folderName?: string
        parentId?: number
    }
    interface AddFolderProps {
        folderName: string    // 文件夹名称
        isPublic: boolean,    // 是否公开
        description?: string  // 备注
        id?: number,
        parentId?: number,     // 上层文件夹ID
        permissionUserId?: number[]  // 指定人员可见
    }
    interface GetMaterialListProps {
        pageNum: number,
        pageSize: number,
        designerIds?: number[]  // 设计师
        folderId?: number       // 文件夹
        height?: number         
        width?: number
        materialName?: string   // 素材名称
        materialType?: string   // 素材类型
    }
    interface AddMaterialProps {
        designerId: number,    // 设计师
        fileMime: string,  
        fileSize: number,
        height: number,
        width: number,
        materialName: string,  // 素材名称
        materialType: string,  // 素材类型
        md5: string,           
        ossUrl: string,        // 链接地址
        folderId?: number,     // 文件夹ID  
        aspectRatio?: string,  // 素材比率
        description?: string,  // 描述
        videoDuration?: number // 视频时长
    }
    interface UpdateMaterialProps {
        folderId?: number,     // 文件夹ID  
        id: number,
        materialName: string,  // 素材名称
        description?: string,  // 描述
    }
}